Skip to main content
GET
/
addresses
List addresses holding native coins sorted by balance - top accounts
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/addresses?apikey='
{
  "exchange_rate": "<string>",
  "items": [
    {
      "coin_balance": "<string>",
      "ens_domain_name": "<string>",
      "hash": "<string>",
      "implementations": [
        {
          "address_hash": "<string>",
          "name": "<string>"
        }
      ],
      "is_contract": true,
      "is_scam": true,
      "is_verified": true,
      "metadata": {
        "tags": [
          {
            "meta": {},
            "name": "<string>",
            "ordinal": 123,
            "slug": "<string>",
            "tagType": "<string>"
          }
        ]
      },
      "name": "<string>",
      "proxy_type": "eip1167",
      "reputation": "ok",
      "transactions_count": "<string>",
      "private_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "public_tags": [
        {
          "address_hash": "<string>",
          "display_name": "<string>",
          "label": "<string>"
        }
      ],
      "watchlist_names": [
        {
          "display_name": "<string>",
          "label": "<string>"
        }
      ]
    }
  ],
  "next_page_params": {
    "fetched_coin_balance": "124355417998347240251800",
    "hash": "0x59708733fbbf64378d9293ec56b977c011a08fd2",
    "items_count": 50,
    "transactions_count": null
  },
  "total_supply": "<string>"
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

sort
enum<string>

Sort transactions by:

  • block_number - Sort by block number
  • value - Sort by transaction value
  • fee - Sort by transaction fee
  • balance - Sort by account balance
  • transactions_count - Sort by number of transactions on address
  • fiat_value - Sort by fiat value of the token transfer
  • holders_count - Sort by number of token holders
  • circulating_market_cap - Sort by circulating market cap of the token Should be used together with order parameter.
Available options:
balance,
transactions_count
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
fetched_coin_balance
string | null

Fetched coin balance for paging

Pattern: ^-?([1-9][0-9]*|0)$
hash
string

Address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50
transactions_count

Transactions count for paging

Response

List of native coin holders with their balances, with pagination.

exchange_rate
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$
items
Address · object[]
required
next_page_params
object
required
Example:
{
"fetched_coin_balance": "124355417998347240251800",
"hash": "0x59708733fbbf64378d9293ec56b977c011a08fd2",
"items_count": 50,
"transactions_count": null
}
total_supply
string | null
required
Pattern: ^([1-9][0-9]*|0)(\.[0-9]+)?$